LDVIEW HELP

Contents

- Introduction
- LDView on Mac OS X
- LDraw Parts Library
- Mouse and Keyboard Control
  - Examine Mode
  - Fly-through Mode
- Step Support
- Menus
  - File Menu
  - Edit Menu
  - View Menu
  - Step Menu
  - Tools Menu
  - Help Menu
- Toolbar
- Fullscreen Mode
- Save Snapshot Options
- Exporting
- Latitude/Longitude Dialog
- Errors & Warnings Window
- Parts List Dialog
- Model Tree Dialog
- MPD Model Selection Dialog
- Preferences
  - General Tab
    - Antialiasing Box
    - Colors Box
    - Misc Box
  - Geometry Tab
    - Model Box
    - Wireframe Box
    - BFC Box
    - Edge Lines Box
  - Effects Tab
    - Lighting Box
    - Stereo Box
    - Wireframe Cutaway Box
    - Transparency Box
    - Misc Box
  - Primitives Tab
    - Primitive Substitution Box
    - Misc Box
  - Updates Tab
    - Internet Proxy Box
    - Missing Parts Box
  - Preference Sets Tab
  - Screen Saver Tab
- Command Line
  - Specifying a Filename
  - Specifying a Snapshot Filename
  - Requesting One or More Snapshots
  - Specifying an Export Filename
  - Requesting One or More Exports
  - Verbose Output
  - Specifying an INI file
  - Specifying an Alternate to LDConfig.ldr
  - L3P-compatible Options
  - Specifying Preferences
  - List of All Preferences
- LDView-specific LDraw Meta Commands
- Notes
- Using LDView as a Screen Saver
- Website

Introduction

Please note: this help file mostly documents the Windows version of LDView, with a few notes about the QT (Linux and Mac) version, and some specific notes on different conventions in the Mac version. For the most part, the QT version has the same functionality as the Windows version, and looks and acts the same (aside from having a mostly native UI look). However, certain features (such as FSAA support) are missing from the QT version, and other features (such as full screen support) are present with less functionality. If you are using a non-Windows version of LDView, please don't expect 100% of the features documented here to be present (although a very high percentage are present). Anywhere this document refers to the QT version of LDView, it is referring to the version made using the QT user interface library. The QT-based version of LDView is currently only available in binary form as a Linux binary and a (Universal) Mac binary. This version should work fine if compiled in other Unix-like operating systems, though (as long QT will compile on them).

LDView displays LDraw models, and consequently requires that LDraw be installed. LDraw can be downloaded from ldraw.org, along with the up-to-date parts library. If you install LDraw in any directory other than C:\LDRAW (/usr/local/ldraw in the QT version), and don't already have an LDRAWDIR environment variable, you will be asked the first time LDView loads if you already have the LDraw library installed. If you say that you do, you will be asked to select the directory in which LDraw is installed. Until you select the LDraw directory, you will be unable to load a model. If you respond that you don't already have LDraw installed, you will be asked if you want LDView to download it for you.

When you run LDView, it will open its main window and immediately present you with an open file dialog (assuming you didn't specify a file as part of the launch process). Select the LDraw .ldr, .dat, or .mpd file you want to view. It will then display the file in the window. Note that you can resize this window. Also note that if you open a large model, it could take a substantial amount of time to load. During this time, the status bar will indicate the progress of the load. Hitting Escape, or choosing Cancel Load from the File menu, will cancel the load.

LDView on Mac OS X

Back to Top

LDView on Mac OS X uses the standard Mac convention of using the Command key instead of the Control key for common activities. Anywhere in this document that you see the Control key mentioned, remember that the Command key should be used instead.

The menu layout on Mac OS X is also somewhat different. The Preferences, About LDView, and Exit menu items have been moved to their standard location in the application (LDView) menu (with Exit being renamed to the standard of Quit LDView). The recent files list has been placed in a standard Open Recent sub-menu of the File menu. And the Edit menu has been removed, since the only item normally found there in LDView is Preferences.

If your mouse only has one button, holding down Control while clicking is equivalent to using the right mouse button (as is standard). Additionally, if you have a laptop with a touch pad that supports two-finger dragging to scroll, this is equivalent to using the mouse wheel (also as is standard).

LDraw Parts Library

LDView displays LDraw models, and LDraw models (almost always) make use of parts in the LDraw parts library. In order to display those models, LDView needs for the LDraw parts library to be present on your computer, and needs to know where on your computer the parts library is located. (If you only want to use LDView to view models that have been created in the LDraw file format that do not make use of the LDraw parts library, please see the documentation for the VerifyLDrawDir setting.)

The first time you run LDView, it probably won't be able to find the LDraw parts library, even if the library is already present on your computer. If this happens, LDView will ask you if the library has already been installed. If you already have the LDraw parts library on your computer, answer Yes, and then show LDView where to find the library.

If you don't already have the LDraw parts library on your computer, answer No, and you will be asked if you would like LDView to download the library for you. As long as you aren't using a proxy server for HTTP connections, you can answer Yes, and you will be asked where you want the library to be put. After this, LDView will automatically download the latest version of the LDraw parts library from LDraw.org. Once the library has been downloaded and installed, you can then view models. Please note that the LDraw parts library is somewhat large (over 6MB at the time this was written), so it could take a while to download if you don't have a fast Internet connection.

If you use a proxy server for HTTP connections, tell LDView not to download the LDraw parts library right now, and then go to the Updates tab in LDView's preferences and configure your proxy server settings.

By default, if LDView encounters a request for a part that it cannot find, it will attempt to download the part from the LDraw.org parts tracker. The parts tracker contains all the unofficial parts that have been submitted for inclusion in the official LDraw parts library that have either not yet been approved for inclusion, or have been approved, but not yet been included in an official release of the library. Because unofficial parts can change in ways that aren't compatible with old models (for example, being rotated), LDView generates a warning any time it uses an unofficial file that it has downloaded. Note that if the part subsequently gets added to the official library, the official version will automatically be used instead (once you update your parts library), and the warning will go away.

Mouse and Keyboard Control

LDView has two different modes of user interaction: Examine Mode and Fly-through Mode. By default LDView is in Examine Mode. You can switch modes by selecting the mode you want from the View Menu.

Examine Mode
Click the left mouse button and drag around to rotate the model. If you let go of the button while the mouse is in motion, the model will continue to rotate on its own.

If you hold down the control key prior to clicking and dragging with the left mouse button, or if you click the middle mouse button and drag, you will pan the model instead of rotating it. The model will be pulled in the direction you move the mouse. If you accidentally lose the model completely, and can't find it, you can use the Reset View option on the View menu to reset the view.

If you hold down the shift key prior to clicking and dragging with the left mouse button, you will change the light direction. An arrow will be drawn to indicate the current light direction, and moving the mouse will rotate the direction that the arrow points, as well as updating the light direction. If you have problems getting it back to its default setting, you can choose one of the preset light directions in the Effects tab of the preferences.

Click the right mouse button and move it up or down to zoom in or out. The speed at which it zooms in or out is based on how far you move the mouse from where you initially clicked. If you have a mouse with a scroll-wheel, you can also use the scroll-wheel to zoom in and out.

If you hold down the control key while zooming (either with the right mouse button or the scroll wheel), you will adjust the cutaway mode instead of zooming in the camera. Cutaway mode cuts away everything on the model that is closer than a certain distance. This distance is defined by a clipping plane. This allows you to look inside models without having to resort to wireframe mode. Zooming in with the control key pressed moves the clipping plane away from the camera, causing more and more of the model to be cut away. Zooming out moves the clipping plane toward the camera, causing less and less to be cut away. Please note that you will likely have to zoom in a ways before the clipping plane reaches the model, so there will probably be no imediate result. If you want, you can have LDView draw the cutaway portion of the model in wireframe, using the Wireframe cutaway option. Note that this will slow things down considerably, since the entire model has to be rendered twice.

Fly-through Mode
Click the left mouse button and move it around to turn the camera left, right, up, and down. The further you move the mouse from the point you clicked, the faster the camera will turn.

The camera can be moved using the keyboard. At any time, you can hold down shift to double the speed at which you move. The movement keys are as follows:

Movement Direction |  | Key |
--- | --- | --- | ---
Forward: |  | W |
Backward: |  | S |
Left: |  | A |
Right: |  | D |
Up: |  | R |
Down: |  | F |  |
In addition to the above movement keys, the following keys effect the camera rotation:
Rotation |  | Key |
Rotate Clockwise: |  | E |
Rotate Counter-Clockwise: |  | Q |

Step Support

LDraw files may contain steps. If so, you can view the steps in order to see how to build the model. However, by default, LDView displays the last step, which shows the complete model. Use one of the Step menu items or one of the step toolbar controls to look at the steps.

Some programs support some advanced options for steps such as temporary buffers (so that a sub-section of the model can be initally shown in one location and then moved to another) and custom rotation angles. LDView doesn't support this advanced functionality. It recognizes the `ROTSTEP` LDraw command, which is used for steps with a custom rotation angle, but treats it just like a standard step command. It ignores all other advanced step commands.

LDView only shows the steps in the top-level model that it is displaying. If you want to see the steps in a sub-model of that model, you must load the sub-model directly. If you want to see the steps in the sub-models of an MPD file, you must first select the sub-model using the MPD Model Selection Dialog (available from the Tools Menu . Once you have selected the sub-model as the main model, its steps can be navigated just as if it were in its own file which you loaded directly.

Menus

The shortcut key for each menu item is shown in the menu when running LDView. Note that these keys will continue to function even while in fullscreen mode where there is no visible menu.

File Menu
Open: | Open a new model file.
Save Snapshot: | Save a PNG or BMP snapshot of the current model with the current view. See here for information about the extra settings in the save dialog.
Export: | Export the loaded LDraw model to various different file formats. See here for details.
Reload: | Reload the current model file. (Use this if you are viewing a model you are in the process of making changes to in some other program, but don't want to use the polling feature below.)
Cancel Load: | During a load, you can select this menu item to cancel the load. It is likely that you will generally just use the keyboard accelerator, though, and hit the Escape key.
Polling: | Submenu containing polling options which allow you to have the model automatically reload when its file changes.
| Disabled: | Disable the polling feature completely. You can still used the Reload option to reload the current model.
| Prompt: | Enables polling. When a change is detected, a dialog is displayed asking you if you want to reload the model file. This option only polls for changes when LDView is the foreground application. The dialog will thus normally be presented to you when you switch to the running LDView application after making changes to your model in some other application.
| Auto-update when active: | Enables polling. When a change is detected, the current model file is reloaded automatically. This option only polls for changes when LDView is the foreground application. The model will thus normally be automatically reloaded when you switch to the running LDView application after making changes to your model in some other application.
| Auto-update immediately: | Enables polling. When a change is detected, the current model file is reloaded automatically. This option polls for changes whether or not LDView is the foreground application. The model will thus be automatically reloaded immediately after you save changes to your model in some other application. Note that with large models, this reload can have a significant impact on your computer's CPU availability.
LDraw Dir: | Allows you to specify a new location for the LDraw directory. This shouldn't normally be needed, since LDView detects if the LDraw directory is deleted or moved and automatically prompts you to tell it the new location. However, if for some reason you want to manually change where LDView finds the LDraw directory, you can use this menu item.
Extra Dirs: | Allows you to specify and organize any number of extra search directories. When LDView loads a model, and the model references a part or sub-model, it searches for that part or sub-model in a number of locations. No matter what you enter here, it will search the directory the model is located in, as well as the P, PARTS, and MODELS directories inside the LDraw directory (in that order). If it doesn't find the file in any of those directories, it will then search all the directories listed in the Extra Search Dirs dialog accessed via this menu item. It searches them in the order they are listed in the box, so you can move directories in the box up and down to get them in the order you want them to be in.
Check for Library Updates: | Checks to see if there are any library updates on LDraw.org that aren't yet installed, and downloads and installs them if any are found.
Page Setup: | Setup the page for printing. This shows the standard Windows Page Setup Dialog with the addition of a check box which allows you to choose whether or not the background color should be printed (it isn't by default).
Print: | Print the current model with the current view.
<Recent Files>: | Shows the filenames of the 10 most recently loaded files. Select any one to load that file.
Exit: | Exit LDView.
Edit Menu
Preferences: | Display the Preferences dialog.
View Menu
Use Visual Style (requires restart): | This menu is not visible when running LDView in operating systems other than Windows, or in Windows versions prior to Windows XP. When present, it enables or disables the use of Windows XP Visual Styles. You must restart LDView for changes in this option to become visible.
Switch to Fullscreen: | Switches to the currently selected fullscreen video mode. If you are already in fullscreen mode, Ctrl+Enter switches back to windowed mode.
Toolbar: | Toggles the toolbar on and off. Note that the toolbar is never visible in full-screen mode.
Status Bar: | Toggles the permanent display of the status bar on and off. Note that the status bar will always display when there is load progress to be indicated. Also, except while displaying load progress, it is never visible in full-screen mode.
Always on Top: | Toggles Always on Top mode. When this is enabled, the LDView window is kept above all other windows (with the exception of some other topmost windows). When it is disabled (the default), LDView acts just like a normal Windows program.
Reset View: | Resets the model to the default view that is shown immediately after the initial load. Any viewing angle can be saved as the default viewing angle using this menu item.
Zoom to Fit: | Zooms the model in to fill the current window.
Viewing Angles: | Submenu containing preset viewing angles.
| Front: | Sets the view to show the front of the model.
| Back: | Sets the view to show the back of the model.
| Left: | Sets the view to show the left of the model.
| Right: | Sets the view to show the right of the model.
| Top: | Sets the view to show the top of the model.
| Bottom: | Sets the view to show the bottom of the model.
| Specify latitude/longitude: | Displays the Latitude/Longitude Dialog.
| Two-thirds: | Sets the view to a two-thirds view of the model. This is the default view until you change it to something else.
| Save Current as Default: | Saves the current viewing angle as the default viewing angle. Note that this only stores the viewing angle, not the viewing distance. The viewing distance is still reset to the default distance when you change to the default view.
Standard Sizes: | Submenu containing preset window sizes. Select any item in the list to change the main 3D view in LDView to that size. Each size also contains two numbers in parentheses after the dimensions. These represent the aspect ratio. So (4:3) represents a 4/3rds aspect ratio (just like a standard definition TV set), and (16:9) represents a 16 to 9 aspect ratio (just like a high definition TV set). These are particularly useful when you intend to either export to POV or use the Show POV-Ray Camera Info command. Note that only sizes that will fit on the screen are shown in the list. Also, sizes that are close to the maximum size may only show up on the list if the toolbar and status bar are disabled, since these change the overall height of the LDView window. Additionally, if you have multiple monitors, you might get a different list on each monitor, if the monitors have different resolutions, or one monitor has the task bar visible and the other doesn't.
Examine Mode: | Puts LDView in Examine Mode. In examine mode, clicking and dragging the left mouse button spins the model that is loaded. This is the default mode.
Latitude/Longitude Rotation: | Toggle to enable or disable latitude/longitude rotation mode. In latitude/longitude rotation mode, moving the mouse side to side changes the view's longitude, and moving the mouse up and down changes the view's latitude. Also, the current latitude and longitude are shown in the bottom right of the status bar when in latitude/longitude rotation mode. This is only available in Examine Mode.
Fly-through Mode: | Puts LDView in Fly-through Mode. In fly-through mode, clicking and dragging the left mouse button rotates the camera, and you can use the W, A, S, D, Q, E, R, and F keys to move the camera.
XX-Bit Modes: | Submenu containing all of the available fullscreen video modes with a bit-depth of XX (where XX will usually be 15, 16, 24, or 32). There is a separate submenu for each bit-depth of 15 or greater bits supported by your video card. There will be a dot beside the bit-depth menu which contains the currently selected fullscreen video mode. In that submenu, there will be a dot next to the currently selected video mode.
Step Menu
First: | Displays the loaded model's first step.
Previous: | Displays the loaded model's previous step.
Next: | Displays the loaded model's next step.
Last: | Displays the loaded model's last step.
Go to Step: | Displays a dialog to go to a specific step.
Tools Menu
Errors & Warnings: | Displays the Errors & Warnings Window.
Parts List: | Displays the Parts List Dialog.
Model Tree: | Displays the Model Tree Dialog.
Model Bounding Box: | Displays a dialog box showing the minimum and maximum corners of an axis-aligned bounding box around the model, and draws that bounding box. Close the dialog to turn off the bounding box display. Note that you can still interact with the model while this dialog is visible.
MPD Model Selection: | Displays the MPD Model Selection Dialog.
Show View Info: | This shows a dialog that contains the model's current rotation matrix and zoom level (camera distance). Hitting OK copies this information to the clipboard in a format suitable for use with LDView on the command line. Note that the camera's position and viewing angle aren't recorded at this time, so it's recommended that you not try to use this in Fly-through Mode or after having panned.
Show POV-Ray Camera Info: | This shows a dialog that contains information about the current camera position as is needed in POV-Ray. Hitting OK copies a POV-Ray-compatible camera declaration into the clipboard. This can be directly pasted into a POV-Ray file to replace the existing camera.
Use current aspect ratio for POV-Ray camera: | Toggle that controls whether the 3D view's current aspect ratio is used in the POV-Ray camera that is copied to the clipboard when using the Show POV-Ray Camera Info command. If this is checked, the current aspect ratio will be used. Otherwise, 4/3 is used. Since POV images tend to be done at specific aspect ratios, this is most useful immediately after selecting a standard size with the desired aspect ratio.
Help Menu
OpenGL Driver Info: | This shows a dialog containing information about your OpenGL driver. I may request this information from you if you are experiencing problems. The text in the box can be selected, and then copied to the clipboard by hitting Ctrl+C.
Contents: | Displays this file in your web browser. (Only works in Windowed mode; hitting F1 from Fullscreen mode will not have any effect.)
About LDView: | Displays the About box, which contains version and copyright information about LDView.

Toolbar

The toolbar allows you to quickly access certain features and settings. A number of the buttons on the toolbar are dual-purpose. Clicking the button toggles a particular setting on and off, and clicking the arrow next to the button shows a menu that allows you to set other settings related to the main one. The items in the menu are only enabled if the main setting is toggled on.

In Windows, if you right click on the toolbar, you will get a menu that allows you to enable or disable the two sections of the toolbar (Main and Steps), as well as customize the main section. In Mac OS X, you can use the standard toolbar customization UI. The default toolbar buttons are designed to be useful by a wide audience, but consequently won't necessarily have the toolbar buttons that individual users will find most useful. It is highly recommended that you customize the toolbar to suit your usage of LDView.

Fullscreen Mode

You can switch to fullscreen mode via the View menu. To do so, select a color depth and resolution combination, and then select the View->Switch to Fullscreen menu option, or hit Ctrl+Enter. To exit full screen mode, either hit Ctrl+Enter again or hit Escape. Note that this feature does not work properly on all video cards. If it doesn't work on your video card, you should get an error dialog after the screen resolution is changed. After you dismiss the error dialog, it should automatically switch back to windowed mode. While in fullscreen mode you can spin the model around with the mouse, and zoom in and out the same way you did in windowed mode.

As long as your video card supports 2D Windows functionality while in fullscreen mode, the Open dialog and Preferences dialog can be accessed from fullscreen mode via their keyboard shortcuts (Ctrl+O for Open File; Ctrl+Shift+P for Preferences). If you are unsure, try Ctrl+O first, and if you don't see an Open dialog, hit escape to dismiss the Open dialog that you can't see. F5 for reload also works--whether or not your video card supports 2D Windows funtionality from fullscreen mode--but unless you are displaying a file that someone else on your network is modifying, it's not likely to be very useful.

Save Snapshot Options

When you save a snapshot, the following LDView-specific options show up at the bottom of the standard save dialog box.

Save snapshot series (Default: Off):
Enabling this option causes a unique number to automatically be appended to the filename. This allows you to save a number of shots of the same model without having to enter a new filename each time.

Number of Digits (Default: 1):
This option is only available when save snapshot series is enabled. It controls the number of digits in the number that is appended to the filename. Zeroes are added before the number to make up the number of digits you select here. For example, if you select 3 here, and the number is 5, then 005 will be used in the filename instead of just 5.

Save image with specific size (Default: Off):
Enabling this option allows you to specify a width and height for the snapshot image. Otherwise, the snapshot created will have the same dimensions as the LDView window.

Width (Default: 1024):
This option is only available when save image with specific size is enabled. It sets the width (in pixels) of the resulting snapshot image.

Note that if this is bigger than a certain threshold (which differs from one video card to another), a number of tiles will be rendered and stitched together automatically to form the full image. This may cause the actual image width to be slightly less than the requested width due to rounding.

Height (Default: 768):
This option is only available when save image with specific size is enabled. It sets the height (in pixels) of the resulting snapshot image.

Note that if this is bigger than a certain threshold (which differs from one video card to another), a number of tiles will be rendered and stitched together automatically to form the full image. This may cause the actual image width to be slightly less than the requested width due to rounding.

Zoom to Fit (Default: Off):
This option is only available when save image with specific size is enabled. Enabling it causes the model to be zoomed to fill up the snapshot, as much as possible. (Most models will only fill the image in either the vertical direction or the horizontal direction, but not both.) Note that the viewing angle is left the same, but the model may be panned so that it fits best.

The reason this requires the Save image with specific size check box to be checked is that when you save with a different aspect ratio, it can effect the cropping of the model. When creating a snapshot the same size as the LDView window, you can position the model exactly like you want manually, and are free to use Zoom to Fit on the View menu prior to taking your snapshot to produce the same result.

Misc

Don't use Pixel Buffer (Default: Off):
Enabling this option disables the use of a pixel buffer for snapshot rendering. Use of a pixel buffer can result in a corrupt image on certain video cards with certain video drivers. If your snapshots are corrupted, enable this. Otherwise, leave it disabled.

Transparent Background (Default: Off):
Enabling this option causes the backround area of the snapshot to be transparent, instead of using whatever background color is selected in LDView. This allows the image to be placed over other images in an editor, or over an arbitrary background in a web page. This only works with PNG snapshots, as the other file formats don't support transparency.

Auto-crop (Default: Off):
Enabling this option causes the image to be automatically cropped to be as small as possible without cutting off any of the actual model. Note that this can be useful even when Zoom to Fit is checked, because Zoom to Fit usually only uses the entire image size in one dimension.

All Steps (Default: Off):
Enabling this option causes LDView to create a separate snapshot image for each step, with an optional suffix, plus the step number, appended to each image.

Suffix (Default: <Empty>):
This option is only available when all steps is enabled. Enabling it causes the specified suffix to be appended to the filename you enter right before the step number is appended. This allows you to accept the default filename (the model's filename) when creating step images, even if you want something like -Step appended to the end.

Same Scale (Default: On):
This option is only available when all steps and zoom to fit are enabled. Enabling it causes all step images to be generated with the same scale. That scale is calculated by applying the zoom to fit operation to the last step.

Exporting

The Export command allows you to export your LDraw model to various different 3D file formats. Currently, the following formats are supported:

Extension | Description
--- | ---
.pov | POV-Ray scene file
.stl | Stereo Lithography file
.3ds | 3D-Studio file

When you select Export from the File menu, you are presented with a Save dialog box. This includes a type selection, where you select the desired format for the export. In Windows and on the Mac, there is an Options button next to the type selection. Some file types have export options, and some don't. For those that do, the Options button is enabled. For those that don't, it is disable. Click on it to set the export options for the currently selected file type. The QT version of LDView has an Export Options menu item in the File menu that performs the same task as the Options button. This dialog will only contain entries for those types that have options.

### POV-Ray scene file:

LDView's POV-Ray export has numerous options. The ones that aren't self-explanatory are all documented via tooltips in the Options dialog. When you perform a POV-Ray export, LDView creates a POV-Ray scene file using the current camera angle from the LDView window, so camera placement before the export is important.

### Stereo Lithography file:

LDView's STL export doesn't have an options. The STL file that it creates is monochrome. This option is mainly intended to allow parts to be exported for editing in 3rd-party 3D modeling software such as Blender.

### 3D-Studio file:

LDView's 3D-Studio export has a few options. They should all be self-explanatory. Note that many programs that support 3D-Studio files may not work very well with the files generated by LDView. Better compatibility is ongoing work.

Latitude/Longitude Dialog

The Latitude/Longitude dialog allows you to change the fiew to a specific latitude, longitude, and optionally distance.

Enter the desired latitude and longitude to rotate the model around so that you are looking at it from the given direction. Consider an imaginary globe surrounding the model, centered at the model's center, with the front of the model lining up with the globe at a the 0 longitude location. The numbers you enter rotate the model around such that you're looking down on the globe at the specified latitude and longitude, with the top of your head facing towards the north.

If you check the Distance check box, the camera will be placed at the specified distance from the center of the model.

The Default buttons reset their associated fields to their default values. The default latitude is 30, the default longitude is 45, and the default distance depends on the model.

The Current button next to the Distance field sets the distance field based on the current camera location. This is useful if you want to take snapshots of multiple different sized models at the same scale, as you can set things up for the biggest model, then use the Current button to determine the appropriate distance, then use that for all the snapshots.

The Latitude and Longitude fields don't have a Current button, because LDView's arbitrary rotations don't usual correspond to a view that can be produced by this dialog. However, if you switch to Latitude/Longitude Rotation mode, the Status Bar shows the current latitude/longitude.

Errors & Warnings Window

The Errors & Warnings window displays errors and warnings that were encountered while loading an LDraw model.

On the left-hand side is a tree view which displays all of the errors. By default, there is one collapsed entry per error, with a brief description of the error. Clicking on the plus sign to the left of the error shows you more information about that error. The first piece of information is the file that contained the error. If you double-click on this, it will open the file using Notepad. Following that are the line # that contained the error, and the line of text itself. Neither of these has any actions associated with it. Certain errors may contain further information as well.

Below the tree view is the Include Warnings check box. Checking this will cause LDView to show both errors and warnings. Unchecking it will hide all the warnings. Please note that warnings don't mean there is anything wrong with the file, so warnings are hidden by default.

Beside the Include Warnings check box is the Copy Error to Clipboard button. Clicking this will cause all the text from the currently selected error to copied into the clipboard, so that it can be pasted into another application.

On the right-hand side of the window is a list view containing a set of check boxes that determine what types of errors should be shown. By default, all types of errors are shown. You can disable any errors you don't care about. Following are the error types:

General error
You probably won't ever see an error of this type. It is used for rare situations that shouldn't ever happen. (For example, if you delete the LDraw directory while a model is loading, you might get one of these.)

Parse error
A line in the model file was invalid.

File not found
The model referenced another model which could not be found in any of the standard search locations (the current directory; the LDraw model, parts, and p directories; entries in the extra search directories list).

Singular matrix
The model contains a reference to another model with one of the three dimensions scaled to zero. This is generally considered bad form, but is often done when referencing another file that happens to be two-dimensional.

Part transformed non-uniformly
The model contains a part which has been distorted in some way. While parts are rotated and moved around to make up a model, they should seldom if ever be stretched or skewed. This usually indicates that the model referencing the part has a problem.

Non-flat quad
The model contains a quadrilateral (quad) that isn't flat. There are two perfectly valid ways to split a quad into two triangles, and they result in different geometry when the quad isn't flat. Consequently, non-flat quads are considered to be errors. Note that there is a reasonable amount of leeway in LDView's definition of "flat", so rounding in the file shouldn't trigger this error.

Concave quad
The model contains a concave quadrilateral. Concave means that one of the four points is inside the triangle formed by the other three points. While not technically an error, this is considered bad form, and may produce incorrect results in other LDraw-compatible renderering programs.

Bad vertex sequence
The model contains a quadrilateral whose points are specified in "bow-tie" order. In other words, if you visit the points in the order given, you'll end up with two triangles that meet at a point. Two of the vertices must be swapped in order to create the quad that was desired. Once again, this isn't techically an error (unless it is in a BFC-certified portion of a file), but is considered bad form, and may produce incorrect results in other LDraw-compatible rendering programs.

Co-linear points
The model contains a quad or a triangle that has three or four co-linear points. When this is detected in a quad, the quad is turned into a triangle (or a line if all four points are co-linear). When it is detected in a triangle (all three points are co-linear), the triangle is turned into a line. Note that some people might think that using co-linear points in a quad is a valid way to get rid of T-junctions (a computer graphic term whose explanation isn't important here). However, since there are two legitimate ways to split a quad into two triangles, and one of those ways results in a triangle and a line (instead of two triangles), this is not a legitimate way to avoid T-junctions.

BFC warning
The model contains back-face culling (BFC) information that seems unusual (but is still valid).

BFC error
The model contains back-face culling (BFC) information that is invalid.

MPD error
The model contains multi-part DAT (MPD) information that is invalid.

Whitespace
The model references a sub-model whose filename contains whitespace (spaces and/or tabs). While this will work in some programs (including LDView), it won't work in others, and is discouraged.

Part renamed
The model references a part that has been renamed to a new number (otherwise known as "moved to").

Unofficial part used
The model references a part that isn't present in the main LDraw directory, but was found by LDView on the LDraw.org Parts Tracker and automatically downloaded.

Model loop
One of the model's sub-models (or parts) contains a reference to one of its ancestors. For example, if you load Test1.ldr, and it has Test2.ldr as a sub-model, and Test2.ldr has Test1.ldr as one of its sub-models, you will get this error. Similarly, if Test2.ldr has Test3.ldr as a sub-model, and Test3.ldr has Test1.ldr as a sub-model, you will also get this error.

If Show errors after loading is checked in the preferences dialog, the Errors & Warnings window will automatically be displayed when a model is loaded that contains errors that are set to be shown. It will not be shown if the only errors in the model have been unchecked in the Errors & Warnings window, the model only contains warnings, or the Errors & Warnings window isn't set to show automatically.

Parts List Dialog

The Parts List Dialog is used to generate an HTML file containing a parts list for the currently loaded LDraw model.

At the top, it contains a list of settings to use during parts list generation. At the bottom, it contains a list of columns to include in the parts list. Check all the columns you want to include, uncheck all the columns you don't want to include, and use the Up and Down buttons to change the order of the columns.

Settings

Show model
Check this to include a screenshot of the model at the top of the parts list. The screenshot will be saved in a file with the same name as the parts list HTML file, except that the .html extension will be replaced with .png.

Overwrite existing snapshot
If this is checked, any existing snapshot file with a filename matching the .png one described above will be overwritten with a newly generated snapshot. If this is unchecked, and an image file already exists with the given name, the existing image will be used in the parts list; a new image will not be generated.

Generate external style sheet
Check this to have LDView generate and use an external CSS style sheet, instead of including the style information inside the generated HTML file. LDView will then generate a file named LDViewPartsList.css and use that as the style sheet for the file.

Note: | If a file named LDViewPartsList.css exists in the directory where the parts list HTML is written, LDView will examine its contents. If the contents match the default LDViewPartsList.css, then the file will be used. Otherwise, LDView will fall back to putting the style information inside the HTML file. If you modify LDViewPartsList.css and then generate a new parts list, the new parts list will not use LDViewPartsList.css, no matter what this setting is set to.

Show part images
Check this to include inline links to Peeron.com part images in your generated HTML file. If you check this, you must have an active Internet connection in order to see the images when you view the Parts List in your web browser. If you don't have an active Internet connection, you should see the alternate text for the images, which says "View on Peeron.com". You can still generate a Parts List with image links using LDView even when you don't have an active Internet connection; you only need the active connection in order to see the images when you view the page.

Columns

Part
This column has the part name and part image. The image is only present if Show part images is checked in the Settings box. If Peeron.com has a part image in the correct color, that will be used. Otherwise, a generic gray part image will be used, and the background color of the image will be set to the part color.

Color
This column shows the color of the part. This includes the LDraw color number, the color name (if known), and a color sample. Note that even if you don't include this column, parts are still separated by color in the list. (If you're including the part images, this looks fine; otherwise, it's recommended that you don't disable this column.)

Quantity
This column contains the quantity for each part in each color. Note that the total part count for the model is in the header at the top of the file, and is not optional.

Description
This column contains the part description (as found in the LDraw file for the part). This is the only column that is disabled by default.

Model Tree Dialog

The Model Tree Dialog shows a tree view of the contents of the loaded LDraw model. The lines in the tree are color-coded based on the LDraw line type that they show. It also lets you control which LDraw line types are shown. By default, all line types except for empty and unknown ones are shown.

Underneath the tree is a check box that, when checked, causes LDView to highlight the geometry in the main 3D window for whatever line is selected in the tree view. You can also choose the highlight color. If you use this to select a part in a model, the whole part will be highlighted. If you use it to select the geometry inside a part, only that geometry will be highlighted. On the Mac, you can select multiple lines in the tree view; if you do so, all of the associated items will be highlighted in the 3D view.

MPD Model Selection Dialog

The MPD Model Selection Dialog allows you to select the individual model files inside a Multi-Part Dat (MPD) file. When you select a model, it is shown as if that model had been loaded directly into LDView.

If you hit OK while a sub-model is selected, the dialog will go away, and LDView will continue to show that sub-model. If you hit Cancel, the dialog will go away, and LDView will revert back to showing the main model.

Preferences

Here is a brief description of the items in the Preferences dialog (accessed through the Edit->Preferences menu item).

General Tab

Reset:
This resets all the General preferences to their default values. As with all other preference changes, you must hit OK or Apply for the reset values to go into effect.

Antialiasing Box
FSAA (Default: None):
This allows you to select what level of full-scene antialiasing to use. Note that if your video card does not support full-scene antialiasing, then None will be the only available item. If your video card does support full-scene antialiasing, then all available FSAA modes should be available to choose from.
If you have an nVIDIA® video card with Quincunx support, then 2x Enhanced and 4x Enhanced should show up as options. These use nVIDIA's advanced FSAA filter.

Antialiased lines (Default: Off):
Enabling this option causes lines to be drawn using antialiasing. This does not effect wireframe mode. Line antialiasing can significantly improve the visual quality of lines, but it can also significantly impact the frame rate. This option may not have an effect if Full-scene Antialiasing is enabled.

Colors Box
Background (Default: Black):
This allows you to set the color used to draw the background behind the model.

Default (Default: Black):
This allows you to set the default color. Normally this is only visible when you load a part directly. Most models don't ever use this color.
Note that edge lines on default-colored objects will be black unless you choose the exact RGB value used by one of the standard LDraw colors. The default custom colors in the color dialog correspond to the first 16 standard LDraw colors. Resetting the General preferences also resets these colors.

Transparent (Default: Off):
Enabling this option causes default-colored items to be transparent.

Process ldconfig.ldr (Default: On):
This controls whether or not LDView processes the ldconfig.ldr file that is now distributed as part of the LDraw parts library. This file contains settings that can effect how LDraw models are displayed. Currently the only settings it contains are color definitions. Enabling this option will use the LDraw.org standard color definitions; disabling it will use LDView's default color definitions.

Random colors (Default: Off):
Enabling this option causes the colors used in the model to be randomized. While it works fine to randomize the colors of the parts in a model, it is designed to be used by parts authors to randomize the colors of the geometric primitives inside a part to make it easier to see their shape.

Misc Box
Show frame rate (Default: Off):
Enabling this option causes the frame rate to show up in the lower left-hand corner of the window. A number is only displayed while the model is in constant motion. The easiest way to do this is to spin it (see mouse control).

Show Axes (Default: Off):
Enabling this option causes LDView to drawn the XYZ coordinate axes for the model, with their origin at the model's origin. The X axis is drawn in red, the Y axis is drawn in green, and the Z axis is drawn in blue. The positive axes are all drawn in bright colors, and the negative axes are all drawn in dark colors.

Show errors after loading (Default: On):
Enabling this option causes the Errors & Warnings window to automatically be displayed after loading a model that contains any errors that have been selected for display in the Errors & Warnings window.

Fullscreen refresh override (Default: Off):
When checked, this setting allows you to override the default refresh rate used in fullscreen mode. Enter a number in the field for the desired refresh rate. Please note that if the refresh rate you enter is not supported another refresh rate will be used.

WARNING:
| If you enter a value that is too high, and have told Windows that you have a monitor which is capable of higher refresh than what you actually have, you can damage your monitor.

Field of view (Default: 45):
Enter a number in this field to control the field of view (in degrees). Setting this to the minimum value of 0.1 will produce an image that is essentially orthographic. Setting it to the maximum value of 90 will produce a wide-angle view.

Memory Usage (Default: High):
This allows you to have some control over how much memory LDView uses. Normally, setting this to High will result in the best performance. However, if you load a large model that uses more memory than you have available, setting this to Medium or Low may improve performance.
Please note that while the High setting usually results in noticeably faster performance than the Medium setting, it usually consumes only marginally more memory. The Low setting should produce a much more considerable memory savings. Note also that if you use LDView to perform command line rendering, or use it as the renderer in LPub (which is actually command line rendering), the Low setting will likely be at least as fast as the other settings, and will very likely actually result in faster performance.

Default Save Directories Box
The default save directories box allows you to decide what directory to use by default when saving files. Each save operation has three possible options:

Model | The default directory is the same directory as the currently loaded model.
Last Saved | The default directory is whatever directory was used last for this file type. (The first time you save a file of a given type, the default directory is the model's directory.)
Specified | The default directory is specified in the field to the right of the drop-down box. Use the Browse... button to browse for a directory, or enter it in the field directly.

Geometry Tab

Reset:
This resets all the Geometry preferences to their default values. As with all other preference changes, you must hit OK or Apply for the reset values to go into effect.

Model Box
Seam width (Default: On/0.50):
Enabling this option allows you to set the width of the seams between pieces using the up and down arrows to the right. This setting produces the same effect as the Seam Width option of L3P. The field then displays the current seam width. Use the arrows to set the seam width to a range of numbers between 0.00 and 5.00. Note that setting this to large values can produce extremely odd results.

Part bounding boxes only (Default: Off):
Enabling this option makes it so that all parts in the model are drawn as just bounding boxes. A bounding box is the minimum axis-aligned box that can completely contain the part. Geometry that isn't detected as being inside a part is drawn normally.

Wireframe Box
Wireframe (Default: Off):
Enabling this option causes the model to be drawn in wireframe. Note that with many 3D accelerators, this actually runs slower than when drawing as a solid.

Fog (Default: Off):
This option is only enabled if wireframe drawing is enabled. Enabling it causes fog to be used to make it so that the lines that are farther away are drawn more dimly.

Remove hidden lines (Default: Off):
This option is only available if wireframe drawing is enabled. Enabling it causes the solid (non-transparent) portions of the model to hide lines that are behind them, even though these portions themselves aren't actually drawn.

Thickness (Default: 0%):
This option is only available if wireframe drawing is enabled. It adjusts the thickness of the lines used to draw the model in wireframe mode.

BFC Box
BFC (Default: On):
Enabling this option turns on back-face culling (BFC). BFC is a technique that can improve rendering performance by not drawing the back faces of polygons. (Only BFC-certified parts have their back faces removed.)
Note that while this can improve rendering performance, it can also slow things down, so don't assume that enabling this will always result in the best performance.

Red back faces (Default: Off):
This option is only available while BFC is enabled. Enabling it causes the back faces of polygons to be drawn in red. This is mainly useful for part authors to allow them to correctly specify which direction faces should face in order to BFC certify their part files.
Note: enabling this option disables transparency.

Green front faces (Default: Off):
This option is only available while BFC is enabled. Enabling it causes the front faces of polygons to be drawn in green. This is mainly useful for part authors to allow them to correctly specify which direction faces should face in order to BFC certify their part files.
Note: enabling this option disables transparency.

Blue neutral faces (Default: Off):
This option is only available while BFC is enabled. Enabling it causes the faces of non BFC certified polygons to be drawn in blue. This is mainly useful for part authors to allow them to correctly specify which direction faces should face in order to BFC certify their part files.
Note: enabling this option disables transparency.

Edge Lines Box
Edge Lines (Default: Off):
Enabling this option causes the edge lines that outline all the pieces to be drawn.

Show edges only (Default: Off):
This option is only available if edge lines are enabled. Enabling it causes LDView to only show edge lines. Unless you also select the Wireframe option, the portions of the edge lines that are hidden by the model will still be hidden, even thought the model isn't being shown.

Conditional lines (Default: Off):
This option is only available if edge lines are enabled. Enabling it causes conditional edge lines to be computed and drawn. Conditional edge lines show up as a silhouette of curved surfaces; they are only drawn when they are visually at the edge of the surface from the current viewing angle.

| Show all (Default: Off):
| This option is only available if edge lines and conditional lines are enabled. Enabling it causes all conditional edge lines to be drawn, whether or not they are on a silhouette. This option is primarily designed for part authors, since it is often difficult to notice missing conditional lines.
| Show control pts (Default: Off):
| This option is only available if edge lines and conditional lines are enabled. Enabling it causes lines to be drawn from the first point of each conditional line to each of its two control points. This option is primarily designed for part authors, so they can verify that the control points are in the correct location.

High quality (Default: On):
This option is only available if edge lines are enabled. Enabling it causes edge lines to be drawn slightly closer to the eye than everything else, resulting in much better looking lines.

Always black (Default: Off):
This option is only available if edge lines are enabled. Enabling it causes all edge lines to be drawn in black or dark gray. This can be particularly useful to part authors, as it causes the edge lines for the default color (light gray) to be much more visible. Dark gray edges are used on dark colors, and black edges are used on all other colors.
If Process ldconfig.ldr is checked in the General Preferences, LDView will look for a entries in ldconfig.ldr with color names of Black_Edge and Dark_Gray_Edge. If it finds either entry, it will use that color instead of black or dark gray.

Thickness (Default: 0%):
This option is only available if edge lines are enabled. It adjusts the thickness of the lines used to draw the edges around the pieces.

Effects Tab

Reset:
This resets all the Effects preferences to their default values. As with all other preference changes, you must hit OK or Apply for the reset values to go into effect.

Lighting Box
Lighting (Default: On):
Enabling this option enables lighting. If you disable lighting, it is strongly recommended that you enable edge lines, unless you are in wireframe mode.

High quality (Default: Off):
This option is only available if lighting is enabled. Selecting this enables high quality lighting. The easiest way to see the difference between having this option on and off is with a baseplate. If you angle a baseplate until the specular highlight becomes visible (it gets shiny), and then switch back and forth, you will see that the highlight is located in a specific location when high quality lighting is enabled, and covers the entire surface when it is disabled. Enabling this can significantly decrease performance, especially with large models.

Subdued (Default: Off):
This option is only available if lighting is enabled. Selecting this sets the lighting to a subdued level. Subdued lighting is about halfway in between standard lighting and no lighting at all. This can produce nice results when edge lines are enabled.

Specular highlight (Default: On):
This option is only available if lighting is enabled. Selecting this turns on the specular highlight. This causes the model to appear shiny.

Alternate setup (Default: Off):
This option is only available if lighting is enabled. Selecting this causes LDView to use an alternate lighting setup, which may improve performance on some video cards, but will more likely decrease performance. The alternate setup is used automatically when specular highlight is enabled, whether or not this option is enabled, since specular highlight only works properly with the alternate setup.

Light direction
Set the direction the light comes from to a pre-set angle.
Please note: If you change the light direction with the mouse, it is almost certain that none of the pre-set light direction buttons will be highlighted.

Upper left(Default?: No):
Set the light direction to come from the upper left.

Above(Default?: No):
Set the light direction to come from above.

Upper right(Default?: No):
Set the light direction to come from the upper right.

Left(Default?: No):
Set the light direction to come from the left.

Middle(Default?: Yes):
Set the light direction to come from the middle (always pointing in exactly the same direction the camera is pointing).

Right(Default?: No):
Set the light direction to come from the right.

Lower left(Default?: No):
Set the light direction to come from the lower left.

Below(Default?: No):
Set the light direction to come from below.

Lower right(Default?: No):
Set the light direction to come from the lower right.

Use LIGHT.DAT lights(Default: On):
This option is only available if lighting is enabled. Selecting this causes LDView to put point light sources in the scene in the locations where LIGHT.DAT is used as a part. LDView uses the color assigned to the light part as the color for the light source. Note that at most 8 lights will be shown by LDView (the first 8 in the file), and if the video card doesn't support 8, then less will be shown.

Replace standard light(Default: On):
This option is only available if lighting is enabled and Use LIGHT.DAT lights is checked. Selecting this causes LDView to not use its standard light source any time a model is loaded that contains one or more LIGHT.DAT parts. Models that don't contain any LIGHT.DAT parts will still be illuminated using LDView's standard light source. Note that using both LIGHT.DAT lights and the standard light source will often result in too much light, leading to a kind of overexposure effect.

Hide LIGHT.DAT geometry(Default: Off):
Selecting this causes LDView to not display the geometry from LIGHT.DAT parts. Since the geometry is a small set of 3D coordinate axes, you often don't want to see it.

Stereo Box
Stereo (Default: Off):
Enabling this option turns on stereo mode. Stereo mode draws two images: a slightly different one for each eye.

Cross-eyed (Default?: No):
This option is only available if stereo is enabled. Selecting this sets the stereo mode to cross-eyed stereo. The two images are drawn side by side, with the image for the right eye on the left and the image for the left eye on the right. By crossing your eyes and then focusing, you can see a stereoscopic image. Many people find it difficult or even impossible to focus with their eyes crossed.

Parallel (Default?: No):
This option is only available if stereo is enabled. Selecting this sets the stereo mode to parallel stereo. The two images are drawn side by side, with the image for the right eye on the right and the image for the left eye on the left. By looking in the distance and then focusing, you can see a stereoscopic image. This will only work if the distance between the two images is no greater than the distance between your eyes, so the window will need to be kept fairly narrow. Many people find it difficult or even impossible to look at an image in this way and then focus.

Amount (Default: 50%):
This option is only available if stereo is enabled. The slider controls the stereo spacing. A small value will result in a very subtle stereoscopic effect, as if you were looking at a very large object from a very long distance. (The minimum value results in no stereoscopic effect at all.) A large value will result in a pronounced stereoscopic effect, as if you were looking at a small object from a very short distance.

Wireframe Cutaway Box
Wireframe cutaway (Default: Off):
Enabling this option causes the cutaway portion of the model to be drawn in wireframe. Hold down the Control key and click and drag up with the right mouse button to increase the amount of the model that is cut away. Control right drag down to decrease the cutaway amount.

Color (Default?: No):
This option is only available if wireframe cutaway is enabled. Selecting it causes the wireframe cutaway to be drawn in color.

Monochrome (Default?: No):
This option is only available if wireframe cutaway is enabled. Selecting it causes the wireframe cutaway to be drawn in monochrome. This isn't available on all graphics cards.

Opacity (Default: 100%):
This option is only available if wireframe cutaway is enabled. The slider controls the opacity of the wireframe cutaway. When Color is selected as the type of wireframe cutaway to draw this may be fixed at 100% on some graphics cards. Also, when color is selected and sort is not selected in the transparency box, transparent pieces will ignore the opacity setting and be drawn with the standard opacity for transparent pieces.

Thickness (Default: 0%):
This option is only available if wireframe cutaway is enabled. The slider controls the thickness of the lines in the wireframe cutaway.

Transparency Box
Sort transparent polygons (Default: On):
Enabling this option causes transparent shapes to be drawn in back-to-front order in order to produce a correct result. If they aren't sorted, distant transparent shapes can end up being drawn as if they were in front of less distant transparent shapes. Unfortunately, this can cause a significant slowdown in some models. This option is mutually exclusive with the use stipple pattern option.

Use stipple pattern (Default: Off):
Enabling this option causes transparent shapes to be drawn using a stipple (checkerboard) pattern. This may be significantly faster on some video hardware, but with potentially reduced quality. Using the stipple pattern totally eliminates the errors that may occur where far transparent objects are drawn in front of closer ones. This option is mutually exclusive with the sort transparent polygons option.

Misc Box
Flat shading (Default: Off):
Enabling this option causes flat shading to be used. Note that while flat shading is less complicated to draw, with a modern 3D accelerator this will not likely improve the performance at all. Flat shading will only likely provide a visual difference if you have either high quality lighting or primitive substitution enabled, in which case turning on flat shading can produce odd results. This option is mutually exclusive with the smooth curves option.

Smooth curves (Default: On):
Enabling this option causes curved surfaces to be shaded as curved surfaces instead of as facets. Since this relies on information in the LDraw model file that was originally designed for a different purpose, not all curved surfaces will be effected. This option is mutually exclusive with the flat shading option.

Primitives Tab

Reset:
This resets all the Primitives preferences to their default values. As with all other preference changes, you must hit OK or Apply for the reset values to go into effect.

Primitive Substitution Box
Primitive substitution (Default: On):
Enabling this option causes LDView to use its own optimized version of many of the primitives (such as cylinders, cones, etc). As well as providing enhanced performance, this also provides improved visual quality, since smooth shaded primitives are generated where appropriate.

Texture studs (Default: On):
This option is only available if primitive substitution is enabled. Enabling it causes a LEGO® logo to be textured onto all the standard studs.

Nearest filtering (Default?: No):
This option is only available if primitive substitution and texture studs are both enabled. Selecting it causes nearest texel texture filtering to be used. This is the lowest quality texture filtering.

Bilinear filtering (Default?: No):
This option is only available if primitive substitution and texture studs are both enabled. Selecting it causes bilinear texture filtering to be used. This is the middle quality texture filtering.

Trilinear filtering (Default?: Yes):
This option is only available if primitive substitution and texture studs are both enabled. Selecting it causes trilinear texture filtering to be used. This is the highest quality texture filtering.

Anisotropic filtering (Default?: No):
This option is only available if primitive substitution and texture studs are both enabled, and your video card supports it. Selecting it causes anisotropic texture filtering to be used. When anisotropic filtering is selected, you can pick the filtering level on the slider to the right of the radio button. This is the highest quality texture filtering.

Anisotropic filtering level (Default: Off):
This option is only available if primitive substitution and texture studs are both enabled, and anisotropic filtering is selected as the filtering type. It adjusts the anisotropic filtering level. Higher numbers produce higher quality filtering.

Curve quality (Default: 9%):
This option is only available if primitive substitution is enabled. It adjusts the quality of substituted primitives by changing the number of facets used to draw curved primitives. Changing this from its default value can lead to holes in the model between the substitute primitives and other geometry. Be very careful with this setting. Setting it too high can lead to huge slow-downs. The default setting of 2 (9%) is fine for most models.

Misc Box
Low quality studs (faster) (Default: On):
Enabling this option switches to using the low-resolution stud files instead of the normal-resolution stud files. This can produce significantly faster rendering.

Use hi-res primitives when available (Default: Off):
Enabling this option causes LDView to attempt to load hi-res versions of primitives before loading the standard ones. The hi-res primitives are otherwise known as 48-sided primitives, because they approximate circular features with 48-sided features. Since not all primitives have hi-res versions, enabling this can create gaps between the standard resolution primitives and the hi-res ones.

Updates Tab

Reset:
This resets all the Updates preferences to their default values. As with all other preference changes, you must hit OK or Apply for the reset values to go into effect.

Internet Proxy Box
Direct connection to the Internet (Default?: Yes):
Select this if you have a direct connection to the Internet and don't want to use a proxy server.

Use simple Windows proxy configuration (Default?: No):
Select this if you want to use the HTTP proxy setting that you configured in Internet Explorer.

Notes:

- This only works if you have a proxy server manually configured in Internet Explorer. Automatic proxy configurations are not supported.
- As might be expected, this option is only available in the Windows version of LDView.

Manual proxy configuration (Default?: No):
Select this to manually configure your HTTP proxy server in the space provided below.

Proxy (Default: None):
Set this to the name or IP address of your HTTP proxy server. This can only be entered if Manual proxy configuration is selected above.

Port (Default: None):
Set this to the port of your HTTP proxy server. This can only be entered if Manual proxy configuration is selected above.

Missing Parts Box
Automatically check LDraw.org for missing parts (Default: On):
Enabling this causes LDView to automatically check the LDraw.org Parts Tracker when it can't find a file. If the part exists on the Parts Tracker, it will automatically be downloaded and used.

Note: | If LDView fails to connect to the LDraw.org server while checking for an unofficial part, it will automatically disable this setting. You have to manually re-enable it once you have a working Internet connection again.

Days between missing part checks (Default: 7):
Set this to the number of days you want LDView to wait between checks to the LDraw.org Parts Tracker when a part cannot be found. This delay is used when the part cannot be found on the Parts Tracker. This number must be greater than zero.

Days between updated part checks (Default: 7):
Set this to the number of days you want LDView to wait between checks for updates to an unofficial part that it has successfully downloaded from the LDraw.org Parts Tracker. Since unofficial parts can update on the Parts Tracker, LDView will check for updates with the specified frequency when it encounters unofficial parts in a model. This number must be greater than zero.

Preference Sets Tab

Use the following preference set:
This list shows all of the available preference sets. Until you create new ones, there is only one item in this list, named <Default>. Selecting an item from this list will cause LDView to use the preferences stored in that set after you hit Apply. If you have made any changes to preferences on other tabs and select a new preference set, it will prompt you whether you want to apply those changes, abandon them, or cancel your selection.

Hot Key:
This allows you to assign a hot key to the currently selected preference set. There are 10 possible hot keys: Ctrl + Shift + 1 through Ctrl + Shift + 0. Once a hot key has been assigned to a preference set, you can use it when viewing a model to immediately switch to that preference set.

Delete:
This deletes the currently selected preference set.

New:
This creates a new preference set that will initially contain all the current settings.

OK/Apply
Changing certain of the options above will require the model to either be reprocessed, or reloaded entirely. If you change any of these options, there will be a pause after you hit OK or Apply while it either reprocesses or reloads the model. During this pause the status bar will display progress. If the status bar is not set to be visible, it will be made visible temporarily.

Screen Saver Tab

Note: This tab is only available when configuring the LDView screen saver.

File:
Select this to have the LDView Screen Saver always display a specific file. Use the Browse button to the right to select the file.

Browse (next to File):
Use this to select the file that the LDView Screen Saver will display.

Directory:
Select this to have the LDView Screen Saver randomly select a model file from the specified directory each time it runs. The file will be randomly selected from all the DAT, MPD, and LDR files in the directory. Use the Browse button to the right to select the directory.

Browse (next to Directory):
Use this to select the directory that the LDView Screen Saver looks in for models.

Size:
Use this to control how large the model that is displayed by the LDView Screen Saver will be.

Speed:
Use this to control how fast the model that is displayed by the LDView Screen Saver moves.

Rotation Speed:
Use this to control how fast the model that is displayed by the LDView Screen Saver rotates.

Random Preference Set:
Causes the screen saver to randomly choose a preference set each time it runs. Since the file/directory choice is part of the preference set, this also allows you to have different models displayed with different settings.

Sleep Mode work-around:
This will only be enabled if it is supported by your operating system. Check this if your system won't go into sleep mode when using the LDView Screen Saver, even though it is set to go into sleep mode. It may solve the problem.
Note that if you have a screen saver password set and use this, you will have a blank screen if you wake the computer up from sleep mode and then cancel the password prompt.

Reset:
This resets all the Screen Saver preferences to their default values. As with all other preference changes, you must hit OK or Apply for the reset values to go into effect.

Command Line

LDView allows you to do a few things from the command line. LDView must either be in your path, in the current directory, or have its complete path specified on the command line in order to run (just like any other program run from the command line). If you are unfamiliar with running programs from the command line, I would strongly suggest skipping this section. Even if you are familiar with running programs from the command line, please note that since LDView is a normal Windows program, and not a console program, the command prompt may behave as though LDView has exited immediately after it launches. It won't necessarily wait for LDView to exit before giving you another prompt.

Specifying a Filename

You can specify a filename on the command line, and LDView will open that file (if it exists) instead of presenting you with the initial Open dialog. You must either specify the complete pathname of the file, including the extension (e.g. .ldr, .dat, .mpd), or be in the directory that contains the file when you run LDView. Note that if your filename contains spaces, the entire filename must be enclosed in double quotes. (This is standard for any Windows command line with long filenames.)

If the model you are loading is an MPD, you can specify the MPD sub-model to display by following the filename with a colon, followed by the sub-model name. For example, to display the engine.ldr sub-model of LDView's 8464.mpd sample model, you would use the following command line:

    	LDView 8464.mpd:engine.ldr

Note that the above format for the filename can also be used when creating snapshots or performing exports from the command line.

Specifying a Snapshot Filename

You can use the -SaveSnapshot command line option to have LDView take a snapshot of your model and output it to the specified filename automatically. After creating the snapshot, LDView will immediately exit. Note that this only works if you also specify a filename for the model you want to take a snapshot of. For example:

    	LDView MyModel.ldr -SaveSnapshot=MyModel.png

The image filename must have .png, .bmp, or .jpg as its extension, and the appropriate image type will be created accordingly. Remember that control may return to the command prompt before LDView has finished executing. So if your video card allows this to run without displaying a window, you won't have a good way of knowing when LDView has finished executing.

Requesting One or More Snapshots

You can use the -SaveSnapshots=1 command line option to have LDView take snapshots of all the models you list on the command line. After creating the snapshot or snapshots, LDView will immediately exit. Note that this only works if you also specify at least one filename for the models you want to take a snapshots of. For example:

    	LDView MyModel.ldr MyOtherModel.ldr -SaveSnapshots=1

The model file's extension will be replaced with an appropriate extension for the snapshot's image type. By default, it will use the same image type as the most recently taken snapshot in the LDView UI, or PNG by default. To specify an image type, use -SaveImageType or -SnapshotSuffix.

Specifying an Export Filename

You can use the -ExportFile command line option to have LDView export your model and output it to the specified filename automatically. After performing the export, LDView will immediately exit. Note that this only works if you also specify a filename for the model you want to export. For example:

    	LDView MyModel.ldr -ExportFile=MyModel.pov

The export filename must have .pov, .stl, or .3ds as its extension, and the appropriate export type will be peformed accordingly. Remember that control may return to the command prompt before LDView has finished executing. So if your video card allows this to run without displaying a window, you won't have a good way of knowing when LDView has finished executing.

Requesting One or More Exports

You can use the -Exportfiles=1 command line option to have LDView export all the models you list on the command line. After performing the export or exports, LDView will immediately exit. Note that this only works if you also specify at least one filename for the models you want to take a snapshots of. For example:

    	LDView MyModel.ldr MyOtherModel.ldr -ExportFiles=1

The model file's extension will be replaced with an appropriate extension for the export's file type. By default, it will use the same export type as the most recently performed export in the LDView UI, or POV by default. To specify an export type, use -SaveExportType or -ExportSuffix.

Verbose Output

In all environments other than Windows, LDView is capable of printing out errors and warnings when snapshots or exports are performed from the command line. By default, critical errors (like being unable to find the LDraw directory) will be the only ones printed. To show standard errors, use the -v command line option. To show warnings as well as standard errors, either repeat the -v option (-v -v), or use the -vv option.

Specifying an INI file

You can use -IniFile=<path> to have LDView use the specified INI file for its settings. This only works from the command line.

Example INI file:

    [General]
    LDrawDir=/home/travis/ldraw
    LineSmoothing=1
    UseQualityStuds=1
    Seams=0
    ShowHighlightLines=1

Note: if running in a Unix-like operating system, you must put a space after the equals sign if you want to use a ~ path. For example:

    	LDView -IniFile= ~/SpecialSettings.ini

Specifying an Alternate to LDConfig.ldr

You can use -LDConfig=<file> to have LDView load an alternate file to the default LDConfig.ldr. This only matters if the ProcessLDConfig setting is enabled. In that case, LDView will try to find the specified file listed with this setting. If <file> is a full path to a file, that file will be used in place of LDConfig.ldr. If <file> is just a filename, or it is a relative path, LDView will try to find the file using its standard LDraw file search path, and if that fails, it will try to find the file in the LDraw directory. If it does not find the file, the default LDConfig.ldr will be used instead.

Example:

    	LDView -LDConfig=LDConfig_TLG.ldr

L3P-compatible Options

To make things easier for L3P users, LDView supports the -cg and -ca options from L3P. Unlike normal LDView settings (described below, -cg and -ca don't have any equal sign after the option name.

`-ca<a>` | Camera Angle: This sets the horizontal camera angle to the value specified by <a>. Note that this is different from the FOV setting (-FOV=<a>). The FOV setting sets either the vertical or horizontal camera angle depending on the shape of the image. If the image is wider than it is tall, it sets the vertical camera angle, while if the image is taller than it is wide, it sets the horizontal camera angle. This -ca setting always sets the horizontal camera angle, no matter what shape the image is.
`-cg<la>,<lo>[,<r>]` | Camera Globe position: This places the camera on an imaginary globe at latitude <la> and longitude <lo>, pointing at the model. If the radius <r> is zero or not specified, LDView will use its standard camera distance calculation as the radius for the imaginary globe. Otherwise, the camera distance will be set to <r>.

Example:

    	LDView -cg30,45,50000 -ca0.1

Specifying Preferences

All of the options available in the Preferences dialog can be set from the command line, if so desired. These are all preceded with a - in order to indicate that an option is being specified. Command line settings override settings in the Preferences dialog. They may be saved as a persistent preference if you modify them or other preferences via the Preferences dialog. Otherwise, the old values will be used the next time you run the program without specifying a value for those options on the command line. Preferences are set on the command line in the following manner:

    	LDView -<setting 1>=<value 1> -<setting 2>=<value 2> ...

For example, to set the default window size to be 640x480, you would do the following:

    	LDView -WindowWidth=640 -WindowHeight=480

Below is a list of all the possible settings. Note that while most of these settings correspond directly to the Preferences dialog interface, some may have inverted logic from the dialog (as noted). The Type column can be any one of the following:

Integer: | An integer value with a wide range of possibilities. There may be limitations on the range of valid values; if so, they will be listed in parentheses. Using a value outside a listed range will produce undefined results.
Decimal: | A numeric value that can include a decimal point. There may be limitations on the range of valid values; if so, they will be listed in parentheses. Using a value outside a listed range will produce undefined results.
Boolean: | An integer value representing either true or false. 1 represents true; 0 represents false. Other values produce undefined results (usually interpreted as true, but not necessarily).
Enumerant: | An integer value with a fixed number of possible values, each of which corresponds to a choice that probably isn't related to the numeric value in any way. If you use a number that isn't one of the options listed, it will produce undefined results.
Color: | An integer value representing a 24-bit RGB color. The bottom 24 bits of the value specify the RGB color desired. The top 8 bits are ignored. It is suggested (but not required) that this be specified as a hexadecimal value by prefixing the number with 0x. So, to have a bright blue color, you would specify 0xFF0000. Note that in hexidecimal format, the order is 0xBBGGRR (2 blue digits, followed by 2 green digits, followed by 2 red digits).
String: | A free-form character string.

The Global? column indicates whether the setting is a global setting, or one that is preference set-specific. Global settings apply to all preference sets, while preference set-specific settings are saved with each preference set. In general, settings that show up in the Preferences dialog are preference set-specific, while others aren't.

List of All Preferences

Setting | Type | Global? | Description
--- | --- | --- | ---
AllowPrimitiveSubstitution | Boolean | NO | Equivalent to the Primitives->Primitive substitution check box.
AnisoLevel | Integer | NO | Equivalent to the Anisotropic filtering slider in the Primitives->Primitive substitution box. Note that this value is ignored if the TextureFilterType setting isn't set to trilinear/anisotropic.
Antialias | Integer | NO | Equivalent to the General->Antialiasing->FSAA combo box. Selects which FSAA option to request: 0: none (Full-scene Antialiasing check box not checked). 2: 2x 3: 2x Enhanced 4: 4x 5: 4x Enhanced 16+: FSAA level * 8 (see below) Note that while all but the first option request FSAA to be used, it will only be used on graphics hardware that supports FSAA in addition to supporting the OpenGL extension that allows it to be set from a program other than the driver control panel. Any standard FSAA mode can be requested by taking the desired FSAA level and multiplying by 8. For example, 6x FSAA on ATI cards can be requested by setting Antialias to 48. If you request a mode that isn't supported by your video card, you end up with no antialiasing.
AutoCrop | Boolean | YES | Equivlent to the Auto-crop check box in the Save Snapshot dialog box.
BackgroundColor3 | Color | NO | Equivalent to the General->Background color button. Note that it is easiest to specify in hex, in the form 0xRRGGBB, where RR, GG, and BB are hexidecimal numbers between 00 and FF. (The 3 was appended to the end of the name because it used to be in 0xBBGGRR format, and would have caused a problem during the upgrade if it had used the same name.)
BFC | Boolean | NO | Equivalent to the Geometry->BFC check box.
BlackHighlights | Boolean | NO | Equivalent to the Always black check box in the Geometry->Edge Lines box.
BottomMargin | Integer (0-???) | YES | Equivalent to 1000 times the value of the Bottom field in the Margins box on the Page Setup dialog box.
BoundingBoxesOnly | Boolean | NO | Equivalent to Part bounding boxes only check box in the Geometry->Model box.
CameraGlobe | String | YES | Same as -cg L3P-compatible option.
CheckPartTracker | Boolean | YES | Equivalent to the Automatically check LDraw.org for missing parts check box in the Updates->Missing Parts box.
CheckPartUpdateWait | Boolean | YES | Equivalent to the Days between updated part checks field in the Updates->Missing Parts box.
CheckPartWait | Boolean | YES | Equivalent to the Days between missing part checks field in the Updates->Missing Parts box.
ConditionalHighlights | Boolean | NO | Equivalent to the Conditional lines check box in the Geometry->Edge Lines box.
CurveQuality | Integer (1-12) | NO | Equivalent to the Curve quality slider in the Primitives->Primitive substitution box.
CustomColors/Color00 - CustomColors/Color15 | Color | YES | Controls the colors that show up in the Custom colors boxes on the Color dialog box.
CutawayAlpha | Integer (1-100) | NO | Equivalent to the Opacity slider in the Effects->Wireframe cutaway box.
CutawayMode | Enumerant | NO | Equivalent to the Color and Monochrome radio buttons and the Wireframe cutaway check box in the Effects->Wireframe cutaway box. Selects the cutaway mode: 0: None (Wireframe cutaway check box not checked) 1: Color 2: Monochrome
CutawayThickness | Integer (1-5) | NO | Equivalent to the Thickness slider in the Effects->Wireframe cutaway box.
DefaultColor3 | Color | NO | Equivalent to the General->Default color button. Note that it is easiest to specify in hex, in the form 0xRRGGBB, where RR, GG, and BB are hexidecimal numbers between 00 and FF. (The 3 was appended to the end of the name because it used to be in 0xBBGGRR format, and would have caused a problem during the upgrade if it had used the same name.)
DefaultLatitude | Float | YES | Latitude to use when view is reset when in Latitude/Longitude Rotation Mode.
DefaultLatLong | String | NO | Default camera latitude and longitude. See the description below for info on using this value on the command line. Note that setting this value on the command line (or in the registry) overrides the DefaultMatrix setting.
DefaultLongitude | Float | YES | Longitude to use when view is reset when in Latitude/Longitude Rotation Mode.
DefaultMatrix | String | NO | Default rotation matrix. This is used to record the default viewing angle. See the description below for info on using this value on the command line.
DefaultZoom | Decimal (0.1-???) | NO | Default zoom level. Set it to a value greater than 1.0 to have the default view (and other standard views) be zoomed in closer, or a value less than 1.0 to have them be further away. There is currently no way to change this setting using the LDView user interface. Note that if you set it too high, the ZoomMax setting will take over, and prevent the view from being zoomed in so far.
DrawLightDats | Boolean | NO | Equivalent to the Use LIGHT.DAT lights check box in the Effects->Lighting box.
Editor | String | YES | Sets the editor to use when you double click on the source file line in the Errors & Warnings window. The program listed must either be in the path, or the full path to the program must be given. The default is "notepad.exe". Note that there is no way to set this value in the LDView interface.
EdgesOnly | Boolean | NO | Equivalent to the Draw only edges check box in the Geometry->Edge Lines box.
EdgeThickness | Integer (1-5) | NO | Equivalent to the Thickness slider in the Geometry->Edge Lines box.
ExamineMode | Enumerant | YES | Selects the examine rotation mode: 0: Normal rotation 1: Latitude/Longitude rotation
ExportFile | String | YES | Designed for use on the command line. The value given is used as a filename, and LDView automatically creates an export of the specified model and outputs to this file. See here for more information.
ExportFiles | Boolean | YES | Only valid from the command line. Instructs LDView to create one or more exports, one for each LDraw file on the command line. The exports get the filename of the LDraw file with the extension replaced with an appropriate one based on the export type. By default, exports are stored in the same directory as the model files. However, this can be overridden with the ExportsDir setting. Use the ExportSuffix setting to specify the export type.
ExportsDir | String | YES | Equivalent to the Exports field in the General->Default Save Directories box. Selects the default directory for export saves when ExportsDirMode is set to 2.
ExportsDirMode | Enumerant | YES | Equivalent to the Exports popup in the General->Default Save Directories box. Selects the mode for default save directory selection: 0: Model directory 1: Last Used 2: Selected
ExportSuffix | String | YES | Suffix to use when determining what file format to use for the export. This is designed to be used on the command line in conjunction with the -ExportFiles option to specify the file type of the exports, or with the -ExportFile option so that you can specify a temporary file on the command line without being forced to give the temporary file a known suffix. Currently, the only values that are recognized are: .pov .stl .3ds (Note that the dot preceding the extension is required.)
ExtraSearchDirs/Dir001 - ExtraSearchDirs/Dir999 | String | YES | Contains the list of extra search directories specified using the Extra Dirs menu item. Each entry specifies a directory, and the entries are sorted in the order they are put in by the user. I think it's unlikely you'd want to manually set any of these, either on the command line or via the registry, but the keys are documented here for completeness.
FOV | Decimal (0.1-90.0) | NO | Equivalent to the Field of view field in the General->Misc box.
FullscreenDepth | Integer | NO | Color depth used for full-screen display. This will normally be either 16 or 32, but other values (such as 15 and 24) may work on some video cards. Future video cards will presumably even support 64. Use this setting with caution, and only specify one of the depths that shows up on the View menu; specifying an unsupported color depth may result in problems when you try to switch to full-screen mode. Note that while I listed the type for this as an integer, and didn't specify a range, the only values that will actually work are the ones that show up on the View menu when LDView is run.
FullscreenHeight | Integer | NO | Vertical resolution used for full-screen display. As with the FullscreenDepth setting, care should be taken when specifying this option. Also, you should always specify the FullscreenWidth setting when you specify this setting, and make sure the width, height, and depth combine to make a video mode supported by your video card.
FullscreenRefresh | Integer | NO | Equivalent to the Fullscreen refresh override check box and field in the General->Misc box. Setting this to 0 causes the check box to not be checked. Any other value checks the check box and is used as the override value.
FullscreenWidth | Integer | NO | Horizontal resolution used for full-screen display. As with the FullscreenDepth setting, care should be taken when specifying this option. Also, you should always specify the FullscreenHeight setting when you specify this setting, and make sure the width, height, and depth combine to make a video mode supported by your video card.
GreenFrontFaces | Boolean | NO | Equivalent to the Green front faces check box in the Geometry->BFC box.
HiResPrimitives | Boolean | NO | Equivalent to the Use hi-res primitives when available check box in the Primitives->Misc box.
IgnoreAllOGLExtensions | Boolean | YES | Causes LDView to ignore all OpenGL extensions supported by your video card. Some video drivers are buggy, and ignoring all or some OpenGL extensions that they claim to support may correct problems in LDView.
IgnoreAniso | Boolean | YES | Causes LDView to ignore the GL_EXT_texture_filter_anisotropic OpenGL extension, even if it is supported by your video card.
IgnoreFramebufferObject | Boolean | YES | Causes LDView to ignore the GL_EXT_framebuffer_object OpenGL extension, even if it is supported by your video card. Note that this extension is only used in the QT version of LDView.
IgnoreMultiDrawArrays | Boolean | YES | Causes LDView to ignore the GL_EXT_multi_draw_arrays OpenGL extension, even if it is supported by your video card.
IgnoreMultisample | Boolean | YES | Causes LDView to ignore the WGL_ARB_multisample OpenGL extension, even if it is supported by your video card.
IgnoreMultisampleFilterHint | Boolean | YES | Causes LDView to ignore the GL_NV_multisample_filter_hint OpenGL extension, even if it is supported by your video card.
IgnorePBuffer | Boolean | YES | Equivalent to the Don't use Pixel Buffer check box in the Save Snapshot dialog box.
IgnorePixelFormat | Boolean | YES | Causes LDView to ignore the WGL_ARB_pixel_format OpenGL extension, even if it is supported by your video card.
IgnoreVAR | Boolean | YES | Causes LDView to ignore the GL_NV_vertex_array_range OpenGL extension, even if it is supported by your video card.
IgnoreVBO | Boolean | YES | Causes LDView to ignore the GL_ARB_vertex_buffer_object OpenGL extension, even if it is supported by your video card.
IniFile | String | YES | Specifies an INI file to use for settings in place of whatever would normally be used (registry on Windows, Qt settings on Qt, User Defaults on Mac, ~/.ldviewrc on OSMesa). This only works when specified on the command line. See here for more details.
InstallPath | String | YES | Only used in screen saver mode (where command line options can't be given). Used to find LDView data files (font and stud logo) when running as a screen saver. Only included in this list for completeness.
InventoryExternalCss | Boolean | YES | Equivalent to the Generate external style sheet check box in the Parts List dialog. Since you can't currently generate a Parts List HTML page from the command line, setting this setting from the command line has extremely limited value.
InventoryPartImages | Boolean | YES | Equivalent to the Show part images check box in the Parts List dialog. Since you can't currently generate a Parts List HTML page from the command line, setting this setting from the command line has extremely limited value.
InventoryShowFile | Boolean | YES | Equivalent to the Show generated web page check box in the Parts List dialog. Since you can't currently generate a Parts List HTML page from the command line, setting this setting from the command line has extremely limited value.
InventoryShowModel | Boolean | YES | Equivalent to the Show model check box in the Parts List dialog. Since you can't currently generate a Parts List HTML page from the command line, setting this setting from the command line has extremely limited value.
LastOpenPath | String | YES | Path used as the initial path for the first Open File dialog box displayed. This is normally the last path that a file was opened from the last time LDView was run.
LDConfig | String | YES | Specifies an alternative file to use in place of the default LDConfig.ldr. See here for more details.
LDrawDir | String | YES | Specifies the full path to the directory containing LDraw.
LeftMargin | Integer (0-???) | YES | Equivalent to 1000 times the value of the Left field in the Margins box on the Page Setup dialog box.
Lighting | Boolean | NO | Equivalent to the Effects->Lighting check box.
LightVector | String | NO | Sets the direction for the main light source. This must be three decimal numbers, separated by commas. Sample values:
0,0,1: | Straight ahead (default)
-1,1,1: | Upper left
1,1,1: | Upper right
-1,-1,1: | Lower left
1,-1,1: | Lower right
LineSmoothing | Boolean | NO | Equivalent to the General->Antialiased lines check box.
MaxRecentFiles | Integer (0-99) | YES | Controls how many recent files are recorded and displayed. Note that there is no way to set this value in the LDView interface.
MemoryUsage | Enumerant | NO | Equivalent to the General->Misc->Memory Usage combo box. Selects the memory usage mode: 0: Low 1: Medium 2: High
ModelCenter | String | YES | Set this to override the default camera placement algorithm. If you set this, the given value is used as the center of the model. The default camera placement algorithm uses this location to center the model on the screen. The value is specified as three comma-separated decimal numbers. Example: -ModelCenter=0.0,0.0,0.0
ModelSize | Decimal (Greater than 0.0) | YES | Set this to override the default camera positioning algorithm. If you set this, the given value is used as the diameter of the sphere that is considered to fully enclose the model. The automatic camera distance algorithm positions the camera such that this entire sphere is visible in the default view. Note that if you provide a value that is smaller than the actual calculated size, cropping of your model may occur.
MultiThreaded | Boolean | YES | Set this to NO to disable multi-threading on muli-processor systems. In theory, this should only be useful for debugging purposes, and consequently cannot be set from the UI.
NoLightGeom | Boolean | NO | Equivalent to the Hide LIGHT.DAT geometry check box in the Effects->Lighting box.
OneLight | Boolean | NO | Equivalent to the Alternate setup check box in the Effects->Lighting box.
OptionalStandardLight | Boolean | NO | Equivalent to the Replace standard light check box in the Effects->Lighting box.
Orientation | Enumerant | YES | Sets the paper orientation during printing: 1: Portrait 2: Landscape
PaperSize | Enumerant | YES | Sets the paper size during printing. There are too many sizes to list all of them here, but here are some of the standard sizes: 1: Letter (8.5 x 11 in) 3: Tabloid (11 x 17 in) 5: Legal (8.5 x 14 in) 8: A3 (297 x 420 mm) 9: A4 (210 x 297 mm) If you want to use another size, you can print using that size in LDView, and then look at the following key in the registry: HKEY_CURRENT_USER/Software/Travis Cobbs/LDView/PaperSize
PartsListsDir | String | YES | Equivalent to the Parts Lists field in the General->Default Save Directories box. Selects the default directory for parts list saves when PartsListsDirMode is set to 2.
PartsListsDirMode | Enumerant | YES | Equivalent to the Parts Lists popup in the General->Default Save Directories box. Selects the mode for default save directory selection: 0: Model directory 1: Last Used 2: Selected
PerformSmoothing | Boolean | NO | Equivalent to the Smooth curves check box in the Effects->Misc box.
Poll | Enumerant | YES | Selects the polling mode: 0: Disabled 1: Prompt 2: Auto-update when active 3: Auto-update immediately
PolygonOffset | Boolean | NO | Equivalent to the High quality check box in the Geometry->Edge Lines box.
PovCameraAspect | Boolean | NO | Equivalent to the Tools->Use current aspect ratio for POV-Ray camera menu item.
PreferenceSet | String | YES | Activates the specified preference set.
PrintBackground | Boolean | YES | Equivalent to the Print Background Color check box in the Page Setup dialog box.
ProcessLDConfig | Boolean | NO | Equivalent to the Process ldconfig.ldr check box in the General->Misc box.
ProxyPort | Integer (0-65535) | YES | Equivalent to the Port field in the Updates->Internet Proxy box.
ProxyServer | String | YES | Equivalent to the Proxy field in the Updates->Internet Proxy box.
ProxyType | Enumerant | YES | Equivalent to the Direct connection to the Internet, Use simple Windows proxy configuration, and Manual proxy configuration radio buttons in the Updates->Internet Proxy box. Selects the proxy type: 0: No proxy 1: Simple Windows proxy 2: Manual proxy The Windows setting is only available in the Windows verion of LDView. If you set this to 2 (manual), you must also make sure that the ProxyServer and ProxyPort settings are set correctly.
RecentFiles/File01 - RecentFiles/File99 | String | YES | Contains the list of recent files. Each entry specifies the full path to one of the files. File01 contains the most recently opened file. By default, only File01 - File10 are used. You must set the MaxRecentFiles setting to a value greater than 10 in order for any of the other entries to be used. I don't see any reason you'd want to change any of these, but it is documented here for the sake of completeness, and for those people who peruse the registry trying to see how things work.
RedBackFaces | Boolean | NO | Equivalent to the Red back faces check box in the Geometry->BFC box.
RemoveHiddenLines | Boolean | NO | Equivalent to the Remove hidden lines check box in the Geometry->Wireframe box.
RightMargin | Integer (0-???) | YES | Equivalent to 1000 times the value of the Right field in the Margins box on the Page Setup dialog box.
SaveActualSize | Boolean | YES | Equivalent to the inverse of the Save image with specific size check box on the Save Snapshot dialog box.
SaveAlpha | Boolean | YES | Equivalent to the Transparent Background check box in the Save Snapshot dialog box.
SaveDigits | Integer (1-5) | YES | Equivalent to the Number of Digits field in the Save Snapshot dialog box.
SaveDir | String | YES | Only valid from the command line. Used in conjunction with the SaveSnapshots setting or the ExportFiles setting to specify the directory in which to store the output.
SaveExportType | Enumerant | YES | Spefies the default type for exports: 1: POV 2: STL 3: 3DS Note that command line exports using the -ExportFile command line option use the file extension, and ignore this setting. If the ExportSuffix setting is specified, that overrides the extension in the actual export filename.
SaveHeight | Integer (1-9999) | YES | Equivalent to the Height field in the Save Snapshot dialog box.
SaveImageType | Enumerant | YES | Spefies the default image type for snapshot saves: 1: PNG 2: BMP 3: JPG Note that command line snapshots using the -SaveSnapshot command line option use the file extension, and ignore this setting. If the SnapshotSuffix setting is specified, that overrides the extension in the actual snapshot filename.
SaveSeries | Boolean | YES | Equivalent to the Save snapshot series check box in the Save Snapshot dialog box.
SaveSnapshot | String | YES | Designed for use on the command line. The value given is used as a filename, and LDView automatically takes a snapshot of the specified model and outputs to this file. See here for more information.
SaveSnapshots | Boolean | YES | Only valid from the command line. Instructs LDView to create multiple snapshots, one for each LDraw file on the command line. The snapshots get the filename of the LDraw file with the extension replaced with an appropriate one based on the output image file type. By default, images are stored in the same directory as the model files. However, this can be overridden with the SaveDir setting. Use the SnapshotSuffix setting to specify the image type.
SaveSteps | Boolean | YES | Equivalent to the All Steps check box in the Save Snapshot dialog box.
SaveStepsSameScale | Boolean | YES | Equivalent to the Same Scale check box in the Save Snapshot dialog box.
SaveStepsSuffix | Boolean | YES | Equivalent to the Suffix field in the Save Snapshot dialog box.
SaveWidth | Integer (1-9999) | YES | Equivalent to the Width field in the Save Snapshot dialog box.
SaveZoomToFit | Boolean | YES | Mostly equivalent to the Zoom to Fit check box in the Save Snapshot dialog box. In addition, if you use the SaveSnapshot setting and set this setting to 1 on the command line, the resulting image will be zoomed to fit. Note that you can use this in combination with the DefaultZoom setting on the command line to zoom in or out. Setting DefaultZoom to 0.95, for instance, will provide a small margin all the way around the model.
Seams | Boolean | YES | Equivalent to the Seam Width check box in the Geometry->Model box.
SeamWidth | Integer (0-500) | NO | Equivalent to 100 times the value of the Seam Width field in the Geometry->Model box.
ShowAllType5 | Boolean | NO | Equivalent to the Show all check box under the Conditional lines check box in the Geometry->Edge Lines box.
ShowAxes | Boolean | NO | Equivalent to the Show Axes check box in the General->Misc box.
ShowErrors | Boolean | YES | Equivalent to the Show errors after loading check box in the General->Misc box.
ShowErrors/LDLError00 | Boolean | YES | Equivalent to the General Error check box in the Errors & Warnings window.
ShowErrors/LDLError01 | Boolean | YES | Equivalent to the Parse Error check box in the Errors & Warnings window.
ShowErrors/LDLError02 | Boolean | YES | Equivalent to the File Not Found check box in the Errors & Warnings window.
ShowErrors/LDLError03 | Boolean | YES | Equivalent to the Singular Matrix check box in the Errors & Warnings window.
ShowErrors/LDLError04 | Boolean | YES | Equivalent to the Part transformed non-uniformly check box in the Errors & Warnings window.
ShowErrors/LDLError05 | Boolean | YES | Equivalent to the Non-flat quad check box in the Errors & Warnings window.
ShowErrors/LDLError06 | Boolean | YES | Equivalent to the Concave quad check box in the Errors & Warnings window.
ShowErrors/LDLError07 | Boolean | YES | Equivalent to the Bad vertex sequence check box in the Errors & Warnings window.
ShowErrors/LDLError08 | Boolean | YES | Equivalent to the Identical vertices check box in the Errors & Warnings window.
ShowErrors/LDLError09 | Boolean | YES | Equivalent to the Co-linear points check box in the Errors & Warnings window.
ShowErrors/LDLError10 | Boolean | YES | Equivalent to the BFC Warning check box in the Errors & Warnings window.
ShowErrors/LDLError11 | Boolean | YES | Equivalent to the BFC Error check box in the Errors & Warnings window.
ShowErrors/LDLError12 | Boolean | YES | Equivalent to the MPD Error check box in the Errors & Warnings window.
ShowErrors/LDLError13 | Boolean | YES | Equivalent to the Whitespace check box in the Errors & Warnings window.
ShowErrors/LDLError14 | Boolean | YES | Equivalent to the Part renamed check box in the Errors & Warnings window.
ShowErrors/LDLError15 | Boolean | YES | Equivalent to the Unofficial part used check box in the Errors & Warnings window.
ShowErrors/LDLError16 | Boolean | YES | Equivalent to the Model loop check box in the Errors & Warnings window.
ShowFPS | Boolean | NO | Equivalent to the Show frame rate check box in the General->Misc box.
ShowHighlightLines | Boolean | NO | Equivalent to the Geometry->Edge Lines check box.
ShowWarnings | Boolean | YES | Equivalent to the Include Warnings check box Errors & Warnings window.
ShowType5ControlPoints | Boolean | NO | Equivalent to the Show control pts check box under the Conditional lines check box in the Geometry->Edge Lines box.
SnapshotSuffix | String | YES | Suffix to use when determining what file format to use for the snapshot. This is designed to be used on the command line in conjunction with the -SaveSnapshots option to specify the file type of the snapshots, or with the -SaveSnapshot option so that you can specify a temporary file on the command line without being forced to give the temporary file a known suffix. Currently, the only values that are recognized are: .bmp .png .jpg (Note that the dot preceding the extension is required.)
SnapshotsDir | String | YES | Equivalent to the Snapshots field in the General->Default Save Directories box. Selects the default directory for snapshot saves when SnapshotsDirMode is set to 2.
SnapshotsDirMode | Enumerant | YES | Equivalent to the Snapshots popup in the General->Default Save Directories box. Selects the mode for default save directory selection: 0: Model directory 1: Last Used 2: Selected
SortTransparent | Boolean | NO | Equivalent to the Sort check box in the Effects->Transparency box.
StatusBar | Boolean | YES | Equivalent to the Status Bar menu item in the View menu.
Step | Integer | N/A | Only available from the command line. When used in conjunction with a command line snapshot save, causes the specified step to be saved in a model that has multiple steps. When used on the command line without a snapshot save command line, causes LDView to immediately jump to the indicated step after loading the model.
StereoMode | Enumerant | NO | Equivalent to the Cross-eyed and Parallel radio buttons and the Stereo check box in the Effects->Stereo box. Selects the stereo mode: 0: None (Stereo check box not checked) 2: Cross-eyed 3: Parallel
StereoSpacing | Integer (0-100) | NO | Equivalent to the Amt slider in the Effects->Stereo box.
SubduedLighting | Boolean | NO | Equivalent to the Subdued check box in the Effects->Lighting box.
TextureFilterType | Enumerant | NO | Equivalent to the Nearest filtering, Bilinear filtering, Trilinear filtering, and Anisotropic filtering radio buttons in the Primitives->Primitive substitution box. Selects the texture mode:
9984: | Nearest filtering
9985: | Bilinear filtering
9987: | Trilinear filtering or Anisotropic filtering If AnisoLevel is set to 1, this gives you trilinear filtering. If it is set to a value greater than 1, and your video card supports anisotropic filtering, this gives you anisotropic filtering.
TextureStuds | Boolean | NO | Equivalent to the Texture studs check box in the Primitives->Primitive substitution box.
Toolbar | Boolean | YES | Equivalent to the Toolbar menu item in the View menu.
TopMargin | Integer (0-???) | YES | Equivalent to 1000 times the value of the Top field in the Margins box on the Page Setup dialog box.
Topmost | Boolean | YES | Equivalent to the Always on Top menu item in the View menu.
TransDefaultColor | Boolean | NO | Equivalent to the Trans check box in the General->Colors box.
UseFlatShading | Boolean | NO | Equivalent to the Flat shading check box in the Effects->Misc box.
UseQualityLighting | Boolean | NO | Equivalent to the High quality check box in the Effects->Lighting box.
UseQualityStuds | Boolean | NO | Equivalent to the inverse of the Low quality studs (faster) check box in the Primitives->Misc box.
UseSpecular | Boolean | NO | Equivalent to the Specular highlight check box in the Effects->Lighting box.
UseStipple | Boolean | NO | Equivalent to the Stipple check box in the Effects->Transparency box.
VerifyLDrawDir | Boolean | YES | Allows you to run LDView without having LDraw installed, if you want to use it to view LDraw-format models that don't use the LDraw parts library. If this is set to 0, LDView won't prompt for the location of the LDraw directory, even if it doesn't see it. Note that there is no way to set this value in the LDView interface.
ViewMode | Enumerant | YES | Equivalent to the Examine Mode and Fly-through Mode menu items in the View menu. Selects the viewing mode: 0: Examine Mode 1: Fly-through Mode
VisualStyleEnabled | Boolean | YES | Controls whether or not LDView uses the current Windows XP Visual Style when running in Windows XP. Doesn't have any effect on earlier versions of Windows. Set this to 0 if you prefer the legacy Windows look-and-feel. Note that the main window border will still use the Windows XP style in Windows XP. Note also that there is no way to set this value in the LDView interface.
WindowHeight | Integer (240-???) | YES | Specifies the initial height of the LDView window. Note that the height of the actual model viewing area will be smaller than this, due to the window borders, title bar, menu bar, toolbar, and status bar. The maximum is dependent on the resolution of your display. Specifying a value greater than the maximum will result in a window that is the maximum allowable height.
WindowMaximized | Boolean | YES | Specifies whether or not LDView should start out with its window maximized.
WindowWidth | Integer (320-???) | YES | Specifies the initial width of the LDView window. Note that the width of the actual model viewing area will be smaller than this, due to the window borders. The maximum is dependent on the resolution of your display. Specifying a value greater than the maximum will result in a window that is the maximum allowable width.
Wireframe | Boolean | NO | Equivalent to the Geometry->Wireframe check box.
WireframeFog | Boolean | NO | Equivalent to the Fog check box in the Geometry->Wireframe box.
WireframeThickness | Integer (1-5) | NO | Equivalent to the Thickness slider in the Geometry->Wireframe box.
ZoomMax | Integer (1-???) | YES | Sets the maximum Zoom level. See the description below.

LDView-specific LDraw Meta Commands

All LDView-specific LDraw Meta Commands start with `0 !LDVIEW`, and are then followed by a command name and optional parameters. Example:

    	0 !LDVIEW BBOX_IGNORE NEXT

The following is a table of all LDView-specific Meta Commands (which currently only has one entry).

Command | Parameters | Description
--- | --- | ---
`BBOX_IGNORE` | `BEGIN or END or NEXT` | This command causes one or more lines in the LDraw file to be ignored for the purposes of LDView's bounding box calculations for its default viewing distance. If you use `BBOX_IGNORE BEGIN`, every line up until a matching `BBOX_IGNORE END` command will be ignored. If you use `BBOX_IGNORE NEXT`, the next line that includes geometry will be ignored. This was requested so that train tracks could be placed under train models without causing it to zoom out too far, but can be used in any model.

Notes

1. | Many of the current features in LDView are the result of user comments and suggestions. I always welcome more comments at the e-mail address below.
2. | A list of planned features and possible other future features can be found on the LDView website here.
3. | Advanced users can adjust the maximum zoom level. This isn't something that is generally useful except to LDraw part authors. Currently it can only be done by using the -ZoomMax command line option, or creating or modifying the following DWORD registry key: `HKEY_CURRENT_USER\Software\Travis Cobbs\LDView\ZoomMax` The default behavior can be achieved by setting it to 199 (decimal). Increasing the value above this allows you to zoom in further. Doing this results in the view position moving inside the model. Decreasing the value below 199 limits the amount you can zoom in. Setting it to values less than 100 may produce odd results, and setting it to zero will cause a division by zero which may produce a crash, or possibly a corrupted display. Setting it to values significantly larger than 199 may produce odd results as well. Anything between 199 and 1000 should be fine, other than the fact that when the view position moves inside the model you get a cutaway effect. Please note: this setting is not designed to position the camera when using the command line to launch LDView and take a snapshot. It only effects the maximum interactive zoom level, so increasing it will not move the initial camera view closer to the model. Decreasing it below a certain threshold will move the camera away, but this is a side effect of the fact that it won't allow you to be closer than what you set it to. If you want to change the default zoom level of the camera, use the DefaultZoom setting.
4. | If you want LDView to render an image from a specific angle from the command line, you can use the -DefaultMatrix command line option. (For an alternative way to do this, see the -DefaultLatLong setting.) The -DefaultMatrix setting is used to directly specify the rotation matrix applied to the model, which looks like this:
A | B | C
D | E | F
G | H | I
Note that this is the upper left 3x3 matrix of a standard 4x4 3D transformation matrix. It is specified on the command line like the following: `-DefaultMatrix=A,B,C,D,E,F,G,H,I` For example, to get a front view of your model, use the identity matrix, like so: `-DefaultMatrix=1,0,0,0,1,0,0,0,1` If you want to decide on a viewing angle in LDView and then determine the matrix for it that can be used above, use the View->Show view info menu item. Note that if you use this to specify a default rotation matrix, the Reset View command will reset the view back to your setting until you use the Save Current as Default command to change the default viewing angle to something else.
5. | Another way to have LDView render an image from a specific angle from the command line is to use the -DefaultLatLong command line option. (For an alternative way to do this, see the -DefaultMatrix setting.) The -DefaultLatLong setting is a (mostly) user-friendly way of specifying the viewing angle. It is very similar to the -cg option in Lars C. Hassing's L3P program. (Note that -cg is also supported by LDView.) -DefaultLatLong specifies the latitude and longitude of the camera on a virtual globe around the model. It is specified like so: `-DefaultLatLong=latitude,longitude` You can produce LDView's standard two-thirds viewing angle by using the following setting: `-DefaultLatLong=30,45` Note that the optional radius parameter of the -cg option isn't supported by -DefaultLatLong. However, you can use the -DefaultZoom setting to move the camera closer to or farther from the model. If you want to put the camera at a fixed difference, use the -cg option.

Using LDView as a Screen Saver

When you use the Windows Installer to install LDView, you are presented with an option near the end to install it as a screen saver. If you select this option, you can use LDView as a screen saver. Simply select it from the list of available screen savers, and then configure it as desired. When using LDView as a screen saver, you can set most of the settings that are available in standard LDView, and you can additionally set screen saver-specific settings. At the moment, Screen Saver mode is only supported in Windows.

If you don't use the install program to install LDView, or you don't check the option to install it as a screen saver and later change your mind, you can manually install it as a screen saver. Simply copy LDView.exe into your Windows System directory, and then rename the file to LDView.scr. In Windows 95/98/Me, the Windows System directory is usually `C:\WINDOWS\SYSTEM`. In Windows NT/2000, it is usually `C:\WINNT\SYSTEM32`. In Windows XP, it is usually `C:\WINDOWS\SYSTEM32`. It is important that you use the `SYSTEM` directory in Win95/98/Me and the `SYSTEM32` directory otherwise. If you are unsure where to put it, I strongly recommend that you run the LDView install program, and make sure to check the option to have the screen saver module installed. You can re-install LDView over itself without any problems, so you don't have to uninstall first.

Website

You can download an up-to-date copy of LDView at the LDView website at https://tcobbs.github.io/ldview/.

If you have any comments, questions, or suggestions, please e-mail me at ldview@gmail.com.

LDView is Copyright © 2009 Travis Cobbs and Peter Bartfai.

LEGO® and the LEGO logo are registered trademarks of the LEGO Group, which does not sponser, endorse, or authorize this program. You can find the official Lego website at http://www.lego.com.